Page MenuHomePhabricator

Crash if US imaging and tracking are started together in debug mode
Closed, WontfixPublic

Description

To reproduce this bug:

  • start MITK (Telemed US device installed)
  • use the ultrasound view to start US imaging
  • then use the tracking toolbox to start tracking

> MITK crashes with the message shown in the attachment.

Seems as if the standalone data storage used for the IGT navigation tools emits signals which cause the level window manager to crash.

The stack call is also attached to this bug.

Event Timeline

franza added a subscriber: franza.

Crash stack call

Important: only occurs in debug mode!

Updating target milestone to upcoming release

Updating target milestone.

This bug could not be fixed during the 2015.05 release.
Setting target_milestone to AfterNextRelease

kislinsk edited projects, added MITK (2016-11); removed MITK.Aug 1 2016, 10:48 PM
kislinsk moved this task from Backlog to IGT on the MITK (2016-11) board.Oct 28 2016, 9:59 AM
kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:24 AM
kislinsk closed this task as Wontfix.May 26 2020, 11:16 AM
kislinsk claimed this task.
kislinsk added a project: Auto-closed.
kislinsk added a subscriber: kislinsk.

Hi there! 🙂

This task was auto-closed according to our Task Lifecycle Management.
Please follow this link for more information and don't forget that you are encouraged to reasonable re-open tasks to revive them. 🚑

Best wishes,
The MITK devs

kislinsk removed kislinsk as the assignee of this task.May 26 2020, 12:05 PM
kislinsk removed a subscriber: kislinsk.